# Class Sockaddr

java.lang.Object
org.apache.tomcat.jni.Sockaddr

public class Sockaddr extends Object
Tomcat Native 1.2.33 and earlier won't initialise unless this class is present. This dummy class ensures initialisation gets as far as being able to check the version of the Tomcat Native library and reporting a version error if 1.2.33 or earlier is present.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`